### Method

# ECal ComponentAlarm set_attachments

since: 3.34

#### Declaration [src]

    void
    e_cal_component_alarm_set_attachments (
      ECalComponentAlarm* alarm,
      const GSList* attachments
    )

#### Description [src]

Set the list of attachments, as a `GSList` of an `ICalAttach`.

Available since: 3.34

#### Parameters

`attachments`

  Type: A list of `ICalAttach*`

  A `GSList` of an `ICalAttach` objects to set as attachments, or `NULL` to unset.

  The argument can be `NULL`.
  The data is owned by the caller of the method.